<html>
  <head><title>Java Test</title> </head>
<%!    class Java1Test {
        public Java1Test() {}
        public String getValue() { return "value1"; }
    }
%>
  <body>
    <h1>Java Test</h1>
    This JSP-Page tests use of a local class.<br>
Value: <% Java1Test jt = new Java1Test(); out.println(jt.getValue()); %>
      </body>
</html>
